Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class JoinInfo

    java.lang.Object
      toolkit.db.api.JoinInfo

    public class JoinInfo

extends java.lang.Object

JoinInfo wraps all info of related Join commands

Field Summary
`static int` | `FULL_OUTER_JOIN`
`static int` | `INNER_JOIN`
`static int` | `LEFT_OUTER_JOIN`
`static int` | `OUTER_JOIN`
`static int` | `RIGHT_OUTER_JOIN`
`static java.lang.String` | `STR_FULL_OUTER_JOIN`
`static java.lang.String` | `STR_INNER_JOIN`
`static java.lang.String` | `STR_LEFT_OUTER_JOIN`
`static java.lang.String` | `STR_OUTER_JOIN`
`static java.lang.String` | `STR_RIGHT_OUTER_JOIN`
`static java.lang.String` | `STR_UNION_JOIN`
`static int` | `UNION_JOIN`

Constructor Summary
`JoinInfo(ColumnInfo columnFrom, java.lang.String sOperator, ColumnInfo columnTo, int iJoinType, boolean bSQL92, boolean bSelfJoin)` constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this JoinInfo to the specified object.
`ColumnInfo` | `getColumnFrom()` Get FROM column's ColumnInfo.
`ColumnInfo` | `getColumnTo()` Get ColumnInfo of the TO column.
`int` | `getJoinType()` Get the outer join type.
`java.lang.String` | `getOperator()` Get value of OPERATOR's string.
`boolean` | `isFullOuterJoin()` Get whether this is a full outer join table.
`boolean` | `isLeftOuterJoin()` Get wheather this is a left outer join table.
`boolean` | `isOuterJoin()` Get whether this is an outer join table.
`boolean` | `isRightOuterJoin()` Get wheather this is a right outer join table.
`boolean` | `isSelfJoin()` Get whether this is a self join.
`boolean` | `isSQL92()` Get whether this join applies SQL92 standard
`java.lang.String` | `toString()` Returns a string representing this JoinInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INNER_JOIN

    public static final int INNER_JOIN

See Also:
  Constant Field Values

### RIGHT_OUTER_JOIN

    public static final int RIGHT_OUTER_JOIN

See Also:
  Constant Field Values

### FULL_OUTER_JOIN

    public static final int FULL_OUTER_JOIN

See Also:
  Constant Field Values

### LEFT_OUTER_JOIN

    public static final int LEFT_OUTER_JOIN

See Also:
  Constant Field Values

### OUTER_JOIN

    public static final int OUTER_JOIN

See Also:
  Constant Field Values

### UNION_JOIN

    public static final int UNION_JOIN

See Also:
  Constant Field Values

### STR_INNER_JOIN

    public static final java.lang.String STR_INNER_JOIN

See Also:
  Constant Field Values

### STR_RIGHT_OUTER_JOIN

    public static final java.lang.String STR_RIGHT_OUTER_JOIN

See Also:
  Constant Field Values

### STR_FULL_OUTER_JOIN

    public static final java.lang.String STR_FULL_OUTER_JOIN

See Also:
  Constant Field Values

### STR_LEFT_OUTER_JOIN

    public static final java.lang.String STR_LEFT_OUTER_JOIN

See Also:
  Constant Field Values

### STR_OUTER_JOIN

    public static final java.lang.String STR_OUTER_JOIN

See Also:
  Constant Field Values

### STR_UNION_JOIN

    public static final java.lang.String STR_UNION_JOIN

See Also:
  Constant Field Values

Constructor Detail

### JoinInfo

    public JoinInfo(ColumnInfo columnFrom,
                    java.lang.String sOperator,
                    ColumnInfo columnTo,
                    int iJoinType,
                    boolean bSQL92,
                    boolean bSelfJoin)

  constructor

  Parameters:
    `columnFrom` - the FROM column of the join
    `sOperator` - the sOperator of the join
    `columnTo` - the TO column of the join

Method Detail

### getColumnFrom

    public ColumnInfo getColumnFrom()

  Get FROM column's ColumnInfo.

  Returns:
    the ColumnInfoof the FROM column.

### getOperator

    public java.lang.String getOperator()

  Get value of OPERATOR's string.

  Returns:
    the OPERATOR value.

### getColumnTo

    public ColumnInfo getColumnTo()

  Get ColumnInfo of the TO column.

  Returns:
    the ColumnInfo of the TO column.

### getJoinType

    public int getJoinType()

  Get the outer join type.

  Returns:
    the type of outer join

### isOuterJoin

    public boolean isOuterJoin()

  Get whether this is an outer join table.

  Returns:
    true if this is an outer join table, false otherwise.

### isLeftOuterJoin

    public boolean isLeftOuterJoin()

  Get wheather this is a left outer join table.

  Returns:
    true if this is a left outer join table, false otherwise.

### isRightOuterJoin

    public boolean isRightOuterJoin()

  Get wheather this is a right outer join table.

  Returns:
    true if this is a right outer join table, false otherwise.

### isFullOuterJoin

    public boolean isFullOuterJoin()

  Get whether this is a full outer join table.

  Returns:
    true if this is a full outer join table, false otherwise.

### isSQL92

    public boolean isSQL92()

  Get whether this join applies SQL92 standard

  Returns:
    true if this join applies SQL92 standard

### isSelfJoin

    public boolean isSelfJoin()

  Get whether this is a self join.

  Returns:
    true if this is a self join, false otherwise

### equals

    public boolean equals(java.lang.Object obj)

  Compares this JoinInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the JoinInfo is same; false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representing this JoinInfo's values. The format is as follows:

  >       className@hashCode[ mappingNameOfFromColumn | operator | mappingNameOfToColumn |
  >                           joinTypeString | isSQL92 | isSelfJoin ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing of this JoinInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD